Package org.apache.batchee.hazelcast

## Class HazelcastSynchroInstanceAware

- java.lang.Object
- - org.apache.batchee.hazelcast.HazelcastSynchroInstanceAware

- Direct Known Subclasses:
    `HazelcastLockBatchlet`, `HazelcastUnlockBatchlet`

      public class HazelcastSynchroInstanceAware
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `instanceName` |
    `protected String` | `local` |
    `protected String` | `lockName` |
    `protected String` | `xmlConfiguration` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HazelcastSynchroInstanceAware()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected com.hazelcast.core.ILock` | `findLock()` |
    `protected com.hazelcast.core.HazelcastInstance` | `instance()` |
    `protected String` | `instanceName()` |
    `protected String` | `lockName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instanceName

          @Inject
          protected String instanceName

    - #### xmlConfiguration

          @Inject
          protected String xmlConfiguration

    - #### local

          @Inject
          protected String local

    - #### lockName

          @Inject
          protected String lockName

  - ### Constructor Detail

    - #### HazelcastSynchroInstanceAware

          public HazelcastSynchroInstanceAware()

  - ### Method Detail

    - #### instance

          protected com.hazelcast.core.HazelcastInstance instance()
                                                           throws IOException

      Throws:
        `IOException`

    - #### instanceName

          protected String instanceName()

    - #### lockName

          protected String lockName()

    - #### findLock

          protected com.hazelcast.core.ILock findLock()
                                               throws IOException

      Throws:
        `IOException`